#2823 closed defect (fixed)

Nearly all m68k BSPs do not Build on Master

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: high Milestone: 5.1
Component: unspecified Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

av5282 is the first

In file included from ../../cpukit/../../../av5282/lib/include/rtems/score/types.h:22:0,

from ../../cpukit/../../../av5282/lib/include/rtems/score/cpu.h:26,
from ../../../../../../rtems/c/src/../../cpukit/score/src/percpuasm.c:19:

../../cpukit/../../../av5282/lib/include/rtems/score/basedefs.h:241:5: error: static assertion failed: "PER_CPU_OFFSET_EXECUTING"

_Static_assert(cond, # msg)

../../../../../../rtems/c/src/../../cpukit/score/src/percpuasm.c:98:1: note: in expansion of macro 'RTEMS_STATIC_ASSERT'

RTEMS_STATIC_ASSERT(

../../cpukit/../../../av5282/lib/include/rtems/score/basedefs.h:241:5: error: static assertion failed: "PER_CPU_OFFSET_HEIR"

_Static_assert(cond, # msg)

../../../../../../rtems/c/src/../../cpukit/score/src/percpuasm.c:103:1: note: in expansion of macro 'RTEMS_STATIC_ASSERT'

RTEMS_STATIC_ASSERT(

Change History (3)

comment:1 Changed on Nov 23, 2016 at 6:56:05 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In a550b3f35a32e6c74c78aeda1154b1d901574168/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.